#ifndef _EFFECTS_H_
#define _EFFECTS_H_

#include <allegro.h>

typedef struct TFX_TABLE {
  unsigned char x[64][64];
  unsigned char y[64][64];
} TFX_TABLE;

void draw_lens_flare(BITMAP *bmp, int x, int y);
void draw_lightning(int x1, int y1, int x2, int y2);
void draw_glenz(BITMAP *buf, BITMAP *bmp, int x, int y);
void add_blender(PALETTE pal, int x, int y, RGB *out);
void create_worm_tfx(TFX_TABLE *tfx, fixed rot, int w = 64, int h = 64);
void create_ripple_tfx(TFX_TABLE *tfx, int num, fixed off, int w = 64, int h = 64);
void apply_tfx(BITMAP *dest, BITMAP *src, TFX_TABLE *tfx, int x, int y, int w = 64, int h = 64);

#endif

/* END */
